org.apache.ignite.internal.processors.cache.persistence.file

## Class FileUploader

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.FileUploader

    public class FileUploader
    extends Object

Part of direct node to node file downloading

### Constructor Summary

Constructors
Constructor and Description
`FileUploader(Path path, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `upload(SocketChannel writeChan, GridFutureAdapter<Long> finishFut)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUploader

    public FileUploader(Path path,
                        IgniteLogger log)

### Method Detail

#### upload

    public void upload(SocketChannel writeChan,
                       GridFutureAdapter<Long> finishFut)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020